package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import com.ynet.life.file.LifeFile;
import com.ynet.life.sujrb.file.parser.BankOrganizationDataDetailImport;
import com.ynet.life.sujrb.file.parser.BatchCompanyBaseInfoDetail;
import com.ynet.life.sujrb.file.parser.BatchCompanyInfo;
import com.ynet.life.sujrb.file.parser.BatchCompanyInfoDetail;
import com.ynet.life.sujrb.file.parser.BatchCompanyQualificationDetailImport;
import com.ynet.life.sujrb.file.parser.BatchFinancialDataDetailImport;
import com.ynet.life.sujrb.file.parser.BatchPayParserFactory;
import com.ynet.life.sujrb.file.parser.BatchRFKDDataDetailImport;
import com.ynet.life.sujrb.file.parser.BatchReqInfoForDebts;
import com.ynet.life.sujrb.file.parser.BatchReqInfoForEquity;
import com.ynet.life.sujrb.file.parser.BatchSKDDataDetailImport;
import com.ynet.life.sujrb.file.parser.BatchSkdInfo;
import com.ynet.life.sujrb.file.parser.NotBankOrganizationDataDetailImport;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/BatchFileParseAction.class */
public class BatchFileParseAction extends LifeAction {
    private String uploadFile;
    private String iCollName;
    private String batchType;

    public String execute(Context context) throws TranFailException {
        BatchSkdInfo createParser;
        try {
            String filePathName = (String) context.get(this.uploadFile);
            String fileType = LifeFile.getFileType(filePathName);
            if (context.get(this.batchType).equals("5")) {
                createParser = new BatchSkdInfo();
            } else if (context.get(this.batchType).equals("6")) {
                createParser = new BatchCompanyInfo();
            } else if (context.get(this.batchType).equals("7")) {
                createParser = new BatchCompanyInfoDetail();
            } else if (context.get(this.batchType).equals("8")) {
                createParser = new BatchReqInfoForDebts();
            } else if (context.get(this.batchType).equals("9")) {
                createParser = new BatchReqInfoForEquity();
            } else if (context.get(this.batchType).equals("10")) {
                createParser = new BatchCompanyBaseInfoDetail();
            } else if (context.get(this.batchType).equals("11")) {
                createParser = new BankOrganizationDataDetailImport();
            } else if (context.get(this.batchType).equals("12")) {
                createParser = new NotBankOrganizationDataDetailImport();
            } else if (context.get(this.batchType).equals("13")) {
                createParser = new BatchRFKDDataDetailImport();
            } else if (context.get(this.batchType).equals("14")) {
                createParser = new BatchSKDDataDetailImport();
            } else if (context.get(this.batchType).equals("15")) {
                createParser = new BatchCompanyQualificationDetailImport();
            } else if (context.get(this.batchType).equals("16")) {
                createParser = new BatchFinancialDataDetailImport();
            } else {
                createParser = BatchPayParserFactory.createParser(fileType, context);
            }
            createParser.parseFromFile(filePathName).fillIntoContext(context, this.iCollName);
            return "0";
        } catch (TranFailException e) {
            Trace.logError("LifeAction", "解析文件异常", e);
            throw e;
        }
    }

    public void setUploadFile(String uploadFile) {
        this.uploadFile = uploadFile;
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setBatchType(String batchType) {
        this.batchType = batchType;
    }
}
